;;; taken from emacs site-start.  Thanks Mark.

;;; DO NOT EDIT THIS FILE.  THIS FILE IS AUTOMATICALLY REMOVED ON
;;; UPGRADE OF XEMACS.

;;; Instead check out /etc/xemacs{19,20,21}/site-start.d and edit files
;;; in there.  This setup is similar to the SysV init boot
;;; process. Put files like [0-9][0-9]*.el there and they will be
;;; loaded in alphabetical order.  The first two characters of the
;;; name must be numbers for this to work (so to disable a file you
;;; can simply change it to say 'x<name of file>' and it will be
;;; disabled.

(defvar emacs-debian-default-directory
  (if (string-match ".*XEmacs.*" emacs-version)
      (let ((point
             (string-match "[0-9]*\.[0-9]*.*XEmacs.*" emacs-version)))
        (concat "/etc/xemacs/site-start-"
                (substring emacs-version point (+ point 2))
                ".d"))
  "/etc/emacs/site-start.d")
  "The default directory for this version of XEmacs to load from")


(defun debian-run-directory (&optional dir)
  "Load each file in the form 00filename.el stored in the path.
The files are sorted so order can be controlled."
  (interactive "DConfiguration directory : ")
  (let ((path (if dir dir emacs-debian-default-directory)))
    (mapcar
     (lambda (file)
       (if debug-on-error
	   (load-file file)
	 (condition-case ()
	     (progn
	       (load file nil t t)
	       (message "*** %s loaded ***" (file-name-nondirectory file)))
	   (error (message "Error while loading %s" file)))))
     (directory-files path t "^[0-9][0-9].*\\.el$" nil))))

(load "/usr/share/emacs/site-lisp/debian-startup")
(setq debian-emacs-flavor 'xemacs21)
(debian-startup debian-emacs-flavor)

;; Local variables:
;; mode: emacs-lisp
;; End:
